# Class EncryptablePaymailWalletBuilder

Fluent builder for an encryptable paymail wallet.

When one or more wallet builder options are provided, a modal will be shown to allow the user to authenticate with the wallet provider.

#### Hierarchy

- EncryptablePaymailWalletBuilder

- Defined in builders/encryptable-paymail-wallet-builder.ts:21

#####
Index

### Constructors

constructor

### Properties

wallets

### Methods

build
withHandCash
withInvisibleMoneyButton
withRelayX

## Constructors

### constructor

- new EncryptablePaymailWalletBuilder(): EncryptablePaymailWalletBuilder

- #### Returns EncryptablePaymailWalletBuilder

## Properties

### `Private` wallets

wallets: EncryptablePaymailWallet[] = []

- Defined in builders/encryptable-paymail-wallet-builder.ts:22

## Methods

### build

- build(): Promise<EncryptablePaymailWallet>

- #### Returns Promise<EncryptablePaymailWallet>

  - Defined in builders/encryptable-paymail-wallet-builder.ts:43

### withHandCash

- withHandCash(options: HandCashBuilderOptions): EncryptablePaymailWalletBuilder

- #### Parameters

  - ##### options: HandCashBuilderOptions

  #### Returns EncryptablePaymailWalletBuilder

  - Defined in builders/encryptable-paymail-wallet-builder.ts:31

### withInvisibleMoneyButton

- withInvisibleMoneyButton(options: InvisibleMoneyButtonBuilderOptions): EncryptablePaymailWalletBuilder

- #### Parameters

  - ##### options: InvisibleMoneyButtonBuilderOptions

  #### Returns EncryptablePaymailWalletBuilder

  - Defined in builders/encryptable-paymail-wallet-builder.ts:24

### withRelayX

- withRelayX(options: RelayXBuilderOptions): EncryptablePaymailWalletBuilder

- #### Parameters

  - ##### options: RelayXBuilderOptions

  #### Returns EncryptablePaymailWalletBuilder

  - Defined in builders/encryptable-paymail-wallet-builder.ts:38

Generated using TypeDoc